Welcome to Rosoft Audio Recorder

Rosoft Audio Recorder

Welcome to Help

This documentation contains:

  • A Quick Start guide
  • Introduction to the application.
  • Application Interface Guide.
  • Menu explainations.
  • External resources help.
  • FAQ - Frequently Asked Questions.
  • Glossary - explains terms used within the documentation.
  • End User License
  • Information on how to Register


Quick Start

Rosoft Audio Recorder has been designed to be quick to use and learn:

  1. Install Program.
  2. Plug in sound source (e.g. a stereo) to your computer.
  3. Start the sound source playing and monitor input levels using sound meters (you should get movement in the meters).
  4. Select the 'Auto Track On' check box, and adjust the settings to the sound (see Auto Track)
  5. Press the red record button.
  6. Rosoft Audio Recorder will automatically split the audio stream into different tracks.
  7. Once sound source has finished playing press stop.
  8. Press the play button to listen to the tracks.
  9. Use the MP3 menu to convert tracks to MP3 files (and reduce the space used on your hard drive).

[Home]


Introduction

Introducing Rosoft Audio Recorder

Rosoft Audio Recorder is a fast, efficient and easy to use sound recorder. It excells at the task of converting old LPs and Tapes onto the computer/CD. It can automatically split recorded sounds into separate tracks meaning it can work with little user intervention.

  • What is Rosoft Audio Recorder used for?
  • Who is Rosoft Audio Recorder for?
  • How does it Work?
  • What are the System Requirements?
  • Rosoft Audio Recorder Features

[Home]


What is Rosoft Audio Recorder used for?

  • Rosoft Audio Recorder can be used to record:
    • Old LP records.
    • Tapes.
    • CDs.
    • FM Radio
    • Live Music
    • Old Demo Tapes
  • Once Recorded onto computer tracks can be:
    • Saved onto CD.
    • Compressed into MP3.
    • Used in presentations.
    • Listened to for entertainment.

[Introduction]


Who is Rosoft Audio Recorder for?

  • For people with old LPs
    • Convert LPs onto computer and save onto CD so you can listen to them in CD player.
  • For people with Audio Tapes
    • Play audio tapes on a cassette deck and record onto computer.
  • For artists with old demo tapes
    • Convert them to CD
    • Convert for internet download.
  • For people who wish to customise their version of windows with new sound effects.
    • Record sounds for windows start-up, opening windows, running programs and make your computer more fun!

[Introduction]


How does it Work?

  • External sound source plugged into computers Line Input socket.
  • Rosoft Audio Recorder converts the audio stream into a file on the computer.
  • Rosoft Audio Recorder can automatically split the audio stream into different tracks stored as different files on the computer.
  • The files on the computer can then be
    • Played.
    • Converted to MP3.

[Introduction]


What are the System Requirements?

Rosoft Audio Recorder requires:

  • Processor
    • Pentium 200 or better.
  • Memory
    • 64 Mb - Windows 95/98
    • 96 Mb - Millenium, NT, Windows 2000
    • 128 Mb - XP
  • Hard Drive Space
    • 12 Mb
  • Sound Card
    • Full Duplex, CD quality (16 bit stereo at 44.100 kHz)
  • Operating System
    • Windows 95/98/ME/NT/2000
  • Hard Drive space for recording
    • 10 Meg per minute of CD quality wav file.

[Introduction]


Rosoft Audio Recorder Features

  • Flexible automatic track recognition.
  • Recording from multiple sound sources.
  • Playback of audio tracks.
  • Easy editing of tracks.
  • Simple to use interface.

[Introduction]


Interface

Interface Guide

Help is available on the following interface elements:

  • Track List
  • Auto Track
  • Sound Monitors
  • Audio Control

[Home]


Track List

  • Nb
    • The Track Number (1 is the first track recorded, 2 is the second and so on).
  • Track Name
    • Click to give a title to the track.
  • Time
    • The length of the track in seconds.
  • Size
    • The size of the track in kB (kilobytes)

[Interface]


Auto Track

  • On/Off
    • By selecting 'on' Rosoft Audio Recorder will automatically split the audio stream into segments called tracks.
  • Algorithm
    • A track break is detected when a section of the audio stream of greater length than the Time Gate value has no volume level over the Noise Gate value.
    • A new track is detected when a section of the audio stream of greater length than the Time Gate value has no volume level below the Noise Gate level.
    • You can change the values for Noise Gate, Time Gate and Minimum Track Length to improve the detection of tracks for a particular audio stream.
  • Noise Gate
    • The minimum noise level which the program should record.
    • For audio streams with large amounts of background noise, 'pops','whistles' and so on increase this value. For higher quality audio streams this value can be reduced. If set too low then track breaks will not be detected, if set too high then quiet parts of the audio stream will be detected as track breaks.
  • Time Gate
    • Sets the minimum time of the track break in the audio stream.
    • If set too low then quiet parts of the music may be detected as track breaks, if set too high then
  • Min Track Length
    • The minimum length of a track recorded.
    • Increase this value if the start of a particular track has quiet periods to prevent these being detected as track breaks.

The following diagram illustrates the various settings:

[Interface]


Sound Monitors

The monitors show the input data that the input device is recieving.

  • Signal Level
    • When the signal reaches the maximum level then the signal is cut and you get distortion. This will lower the sound quality.
    • If the signal level is too low then you will need to increase the volume of your speakers to hear the sound being played. In general the more amplification used the worse the sound quality on playback. In addition low input volume can also lead to unwanted noise on the final track.
    • Hence adjust the volume level of your sound source so that the maximum sound level is in the middle of the red band.
  • Movement one one monitor only
    • If only one monitor is moving then a mono audio stream is being recieved. If your sound source is stereo then:
      • Try moving the audio lead around.
      • Use a different audio lead.
      • Check all equipment you are using is stereo.
  • No Movement
    • The input device is not recieving any data. Possible reasons:
      • Sound source not connected to input device correctly.
      • Sound source set at too low a volume or 'Mute' button on sound source pressed.
      • Selection of wrong device (change in Options menu)
      • Input device is not working properly.

[Interface]


Audio Control

  • Play
    • Plays currently select track.
  • Next
    • Plays the next track in the list.
  • Previous
    • Plays the previous track in the list.
  • Stop
    • Stops playback of track and recording.
  • Record
    • Records the audio stream. If currently recording then pressing record will begin a new track. Use this feature to manually detect track breaks.
  • Output Folder
    • Enables you to select the output folder to store tracks as they are created.

[Home]


Menus

Rosoft Audio Recorder contains the following menus:

  • File Menu
  • Input Menu
  • MP3 Menu
  • Options Menu
  • Help Menu

[Home]


File Menu

  • New
    • Clears the track listing to enable new recording to begin (does not delete the files).
    • Warning: new tracks that are created will override previous tracks if they share the same name. Therefore before starting a new recording, change the output directory or give tracks unique names.
  • Destination
    • Enables you to select the output folder where tracks are be saved.
  • Exit
    • Closes the program.

[Menus]


Help Menu

  • About
    • Displays information on the author of the program.
  • FAQ
    • Lists common questions that arise when using Rosoft Audio Recorder. If you have a problem check this item first before contacting Rosoft.
  • Index
    • Opens the Help Documentation.

[Menus]


Options Menu

  • Background Color
    • Set the background colour of the track listings.
  • Text Color
    • Set the text colour of the track listing.
  • Devices
    • All available recording (input) and output devices are listed. You are then able to select which devices Rosoft Audio Recorder should use.

[Menus]


MP3 Menu

  • Convert Files to MP3
    • This connects to the Rosoft Lame Encoder. This enables you to compress the current set of tracks so that they take up less hard drive space.
    • For more information about Rosoft MP3 Encoder see http://www.RosoftEngineering.com/mp3encoder/help/Index.htm

[Menus]


Input Menu

  • Previous
    • Selects track before current track.
  • Play
    • Plays current track.
  • Next
    • Selects track after current track.
  • Record/Split
    • Starts to record a new track.
  • Stop
    • Stops recording and playback of tracks.

[Menus]


External

The operation of Rosoft Audio Recorder depends on several external items not supplied with Rosoft Audio Recorder. The following files give additional help on using these items.

  • Sound Card
  • Sound Source
  • Speakers

[Home]


SoundCard

The correct operation of the sound card depends upon windows. You should refer to the manual that came with your sound card or computer for precise instructions. You can check windows help and search for 'sound card'. The trouble shooting wizard can also detect many problems with sound cards.

The following brief guide acts as an indication of how to set up the sound card. However the exact dialog boxes and process will vary depending upon machine configuration, user settings, version of windows and sound card.

Double Clicking on the volume icon will bring up the Volume Control panel or Wave Input Source Control:

If Line Input or Mic Input is not listed then choose Options -> Properties in the menu.

Then select Line Input and/or Mic Input from the list.

Check that the volume is not set too low and that Mute is not selected. If the sound card is not listed then check that you have installed the sound card correctly.

[External]


Sound Source

The following diagram shows wiring connections for many different types of sound source. It also describes how to listen to the sound from you computer.

  1. LP's: connect the Rec Out on the stereo and connect this to the computers Line In socket.

  2. Tapes: connect the Line Out on the tape recorder and connect this to Line In on the computer.

  3. Radio/Tuner: connect the Out or Line Out socket on the tuner to the Line In on the computer.

  4. LP's: to record LPs you must use an amplifier or preamp to boost the signal. If you try a direct connection you will get extra noise and loss base tone. To get the best quality recording try to use a record player made in early to mid 80's (90's + are generally of a poorer quality) that uses a moving coil pick up.

  5. Microphone: is best connected to the Mic In socket on the computer.

  6. Headphones: to hear the sound source connect headphones to the Line Out socket on the computer.

  7. Stereo: to connect your computer to a stereo system connect the Line Out socket on the computer to the Aux, Tape In or Video In.

[External]


Speakers

If no noise is heard when you play the recorded audio tracks check your speaker system:

  • Speakers are turned on.

  • Speakers connected to output jack of computer.

  • No mute button is pressed.

[External]


Windows 200/XP and the Registry

Windows 2000/XP and the Registry

  • If you are using Windows 2000 or Windows XP it is very important that you log in with the same rights as the Administrator when you install the program. The install program write and saves data to the Registry and a limited user or a guest some times can't do depending on the rights for the specific user.

  • If you for some reason have trouble with the Registry it's recommended that you first delete the entire key HKEY_CURRENT_USER\Software\Rosoft from your Registry then reinstall the the programs. If you have an older release than 2.2.4 you may also need to delete the entire key HKEY_LOCAL_MACHINE\Software\Rosoft. To delete a Registry Key you need to open RegEdit. At the left of your task menu you have a Start Button . Press the Start button and select Run from the menu. Then type regedit.exe in the field and press OK. In the left frame of the RegEdit window select the keys mentioned above and press the Delete Key. Make sure it is the keys above you are deleting. It could be crucial to delete the wrong key(s). Your entire system may crash if you delete the wrong keys. See the screen below for an example. Note: The program you see is from a Swedish version of Windows XP Pro

[Home]


FAQ

FAQ - Frequently Asked Questions

  • How do you set the correct volume level?
    • see Sound Monitors.
  • Can LP's and tapes be recorded through the Mic input on the sound card, and if so, will it support a direct connection, or does it require a preamp?
    • LP's
      • LP's can be connected to Mic In on some cards but this normally results in distortion and loss of bass.
      • A preamp is usually required for an LP (CD player has output signal peak of 2V while LP Player has a few mV - that's 1/1000 of the signal from a CD or tape or 30 DB lower signal).
    • Tapes
      • Tapes can be connected to Mic In but due to high signal level you will get some distortion on the recording.
      • The best system is to connect the Rec Out on your cassette deck to the Line In socket.
    • For more information see Sound Source.
  • Why does the program start with a new track every 7th second?
    • This is due to the Auto Track settings. Auto Track can be turned off, or the settings altered adjusted to the particular recording. If you have a high noise level on the signal you should increate the Noise Gate level. If the sound has low noise decrease the Noise Gate setting.
    • See Auto Track
  • Can I use the Auto Track on a Live Recording?
    • Yes - but it can be difficult to tune the settings to detect track breaks correctly. This is because a live performance has a lot of noise between songs, and there are often more short periods of silence within a song.
    • It is probably easier to manually move onto next track. This is done by pressing the record button a second time or pressing F12.
  • Can I get a version of the program without the adware?
    • Yes, registered versions of program contain no advertisments. You can register individual programs or Rosoft Audio Tools (Rosoft CD Extractor, Rosoft Media Player and Rosoft Audio Recorder).
    • See Register
  • How do I uninstall the adware that comes with the program (the little rocket ship in the browser?)
    • Web3000 is removed when the Rosoft programs are uninstalled done by using Add/Remove Programs in the control panel).
    • Registered versions of the program contain no advertisments. See Register

[Home]


Glossary

  • Sound
    • Noise: Distortion on the sound, can be likened to listening
    • Sound Source: Can be anything from a Tape Recorder to FM Stereo that produces sound that you wish to record onto the computer.
    • Audio Stream: The sound that the computer is receiving.
    • Track: This is block of music.
    • Track Break: The quiet period between different tracks.
  • Technology
    • MP3: Compression technology. This takes a sound and removes redundant information from the file so that it takes up less room on the hard drive.
    • Adware: Presents advertisements to users, the advertising is used to fund development of Rosoft Audio Recorder, when you Register Rosoft Audio Recorder the advertisements will be removed.
  • Storage
    • Mb: Mega Byte (1 Mb = 1024 Kb)
    • Kb: Kilo Byte (1 Kb = 1024 Bytes)
    • Byte: 1 Byte (1 Byte = 1 character/ letter of information. Hence the word 'Rosoft' would take up 6 bytes of space).
  • General Computing
    • Dialog: A question window that enables you to fill in particular information.

[Home]


End User License Agreement (EULA)

End User License Agreement (EULA) for Rosoft Audio Recorder

There are three version of the EULA for Rosoft Audio Recorder, one for the all editions and one for the shareware and adware editions.

All releases of Rosoft Audio Recorder

THIS PROGRAM IS DELIVERED AS IS AND THE AUTHOUR SHOULD NOT BE LIABLE FOR ANY DAMAGE IT MIGHT DO TO YOUR COMPUTER OR SOFTWARE. IT IS UP TO THE BUYER TO TEST EITHER THE ADWARE EDITION OR THE SHAREWARE EDITION OF ROSOFT AUDIO RECORDER.

The releases that contains the adware

The included adware comes from 180Solutions and is called n-CASE from.

The registered releases

All licensed or registered editions are for private use only. That is, each registration is for one user. If a company want to install the program on many machines you must register an order for every install. Rosoft doesn't guarantee that the program works if you run more than one install with the same Registration Key at a time.

You can read about 180Solutions private policy here.

Copyright (c) 2002, Rosoft Engineering, Karlstad, Sweden
Email: support@RosoftEngineering.com
Homepage: http://www.RosoftEngineering.com/
Affiliate site: http://www.rosoft.nu/

[Home]


Register

Why Register?

You register all four audio programs from Rosoft Engineering

If you register you will get Rosoft Audio Recorder, Rosoft CD Extractor, Rosoft Lame Encoder and Rosoft Media Player in one install file. All four of these programs have no limitations. The install-file uninstalls the adware from Web3000 and n-CASE. That is if you haven't changed any thing for Web3000 or n-CASE.

You can download every upgrade for Rosoft Audio Tools, Lame Edition 2.x.x.

If you register Rosoft Audio Tools, Lame Edition you are free to download the latest release of Rosoft Audio Tools here.

Update emails

Unless you unsubscribe from our mailing list

Where can I regiter?

You can register at ShareIt or RegNow. European citecen within the EU should register at RegNow to avoid paying VAT.

[Home]


End User License Agreement (EULA)

End User License Agreement (EULA) for Rosoft CD Extractor

There are three version of the EULA for Rosoft CD Extractor, one for the all editions and one for the shareware and adware editions.

All releases of Rosoft Audio Recorder

THIS PROGRAM IS DELIVERED AS IS AND THE AUTHOUR SHOULD NOT BE LIABLE FOR ANY DAMAGE IT MIGHT DO TO YOUR COMPUTER OR SOFTWARE. IT IS UP TO THE BUYER TO TEST EITHER THE ADWARE EDITION OR THE SHAREWARE EDITION OF ROSOFT AUDIO RECORDER.

The releases that contains the adware

The included adware comes from 180Solutions and is called n-CASE from.

The registered releases

All licensed or registered editions are for private use only. That is, each registration is for one user. If a company want to install the program on many machines you must register an order for every install. Rosoft doesn't guarantee that the program works if you run more than one install with the same Registration Key at a time.

You can read about 180Solutions private policy here.

Copyright (c) 2002, Rosoft Engineering, Karlstad, Sweden
Email: support@RosoftEngineering.com
Homepage: http://www.RosoftEngineering.com/
Affiliate site: http://www.rosoft.nu/

[Home]